Skip to content

Create Task flux-kontext-apps/multi-image-kontext-max

POST https://www.kkiai.com/replicate/v1/models/flux-kontext-apps/multi-image-kontext-max/predictions

Official documentation: https://replicate.com/flux-kontext-apps/multi-image-kontext-max

Request Parameters

Authorization

Add the Authorization parameter to the Header, with its value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Request Example

json
{
    "input": {
      "prompt": "Put the woman into a white t-shirt with the text on it",
      "aspect_ratio": "1:1",
      "input_image_1": "https://replicate.delivery/pbxt/N5rSeJrCafWpmJuLb62moY8pSMEpSBBwSf7N6hxyIn4fNYMa/w8msa88d01rm80cq3hzsqrdehg.png",
      "input_image_2": "https://replicate.delivery/pbxt/N5rSdTCgBqIRvbkedcfLfS5xTSEEOqMtX9FsR1hLK9JYryml/0_1.webp",
      "output_format": "png",
      "safety_tolerance": 2
    }
  }

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/replicate/v1/models/flux-kontext-apps/multi-image-kontext-max/predictions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "input": {
      "prompt": "Put the woman into a white t-shirt with the text on it",
      "aspect_ratio": "1:1",
      "input_image_1": "https://replicate.delivery/pbxt/N5rSeJrCafWpmJuLb62moY8pSMEpSBBwSf7N6hxyIn4fNYMa/w8msa88d01rm80cq3hzsqrdehg.png",
      "input_image_2": "https://replicate.delivery/pbxt/N5rSdTCgBqIRvbkedcfLfS5xTSEEOqMtX9FsR1hLK9JYryml/0_1.webp",
      "output_format": "png",
      "safety_tolerance": 2
    }
  }'

Response

🟢 200 Success

Response Example

json
{
    "id": "b6k38vmb01rme0crb4bbr2apw4",
    "model": "flux-kontext-apps/multi-image-kontext-max",
    "version": "hidden",
    "input": {
        "aspect_ratio": "1:1",
        "input_image_1": "https://replicate.delivery/pbxt/N5rSeJrCafWpmJuLb62moY8pSMEpSBBwSf7N6hxyIn4fNYMa/w8msa88d01rm80cq3hzsqrdehg.png",
        "input_image_2": "https://replicate.delivery/pbxt/N5rSdTCgBqIRvbkedcfLfS5xTSEEOqMtX9FsR1hLK9JYryml/0_1.webp",
        "output_format": "png",
        "prompt": "Put the woman into a white t-shirt with the text on it",
        "safety_tolerance": 2
    },
    "logs": "",
    "output": null,
    "data_removed": false,
    "error": null,
    "status": "starting",
    "created_at": "2025-07-30T02:08:26.368Z",
    "urls": {
        "cancel": "https://api.replicate.com/v1/predictions/b6k38vmb01rme0crb4bbr2apw4/cancel",
        "get": "https://api.replicate.com/v1/predictions/b6k38vmb01rme0crb4bbr2apw4",
        "stream": "https://stream.replicate.com/v1/files/bcwr-4lncowbqyyr5toyxguv6tr47ffpade3muguvemzik5let3hnlryq",
        "web": "https://replicate.com/p/b6k38vmb01rme0crb4bbr2apw4"
    }
}